Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.servlet
Class PageScopeContextHandler

    java.lang.Object
      org.apache.commons.jxpath.servlet.PageScopeContextHandler

All Implemented Interfaces:
  DynamicPropertyHandler

    public class PageScopeContextHandler

extends Object
implements DynamicPropertyHandler

Implementation of the `DynamicPropertyHandler` interface that provides access to attributes of a `PageScopeContext`.

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov

Constructor Summary
`PageScopeContextHandler()`

Method Summary
`Object` | `getProperty(Object pageScope, String property)` Returns the value of the specified dynamic property.
`String[]` | `getPropertyNames(Object pageScope)` Returns a list of dynamic property names for the supplied object.
`void` | `setProperty(Object pageScope, String property, Object value)` Modifies the value of the specified dynamic property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageScopeContextHandler

    public PageScopeContextHandler()

Method Detail

### getPropertyNames

    public String[] getPropertyNames(Object pageScope)

  Description copied from interface: `DynamicPropertyHandler`
  Returns a list of dynamic property names for the supplied object.

  Specified by:
    `getPropertyNames` in interface `DynamicPropertyHandler`
  Parameters:
    `pageScope` - to inspect
  Returns:
    String[]

### getProperty

    public Object getProperty(Object pageScope,
                              String property)

  Description copied from interface: `DynamicPropertyHandler`
  Returns the value of the specified dynamic property.

  Specified by:
    `getProperty` in interface `DynamicPropertyHandler`
  Parameters:
    `pageScope` - to search
    `property` - to retrieve
  Returns:
    Object

### setProperty

    public void setProperty(Object pageScope,
                            String property,
                            Object value)

  Description copied from interface: `DynamicPropertyHandler`
  Modifies the value of the specified dynamic property.

  Specified by:
    `setProperty` in interface `DynamicPropertyHandler`
  Parameters:
    `pageScope` - to modify
    `property` - to modify
    `value` - to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.